Knowledge base

List articles

List articles. Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

GET
/knowledgebases/{knowledgebase_slug}/articles

List articles.

Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

knowledgebase_slug*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/knowledgebases/string/articles"
{  "data": [    {      "id": "string",      "title": "string",      "slug": "string",      "excerpt": "string",      "published_at": "2019-08-24T14:15:22Z",      "knowledgebase": {        "id": "string",        "name": "string",        "slug": "string",        "visibility": "string"      }    }  ],  "links": {    "first": "http://example.com",    "last": "http://example.com",    "prev": "http://example.com",    "next": "http://example.com"  },  "meta": {    "current_page": 0,    "from": 0,    "last_page": 0,    "per_page": 0,    "to": 0,    "total": 0,    "path": "http://example.com",    "links": [      {        "url": "http://example.com",        "label": "string",        "page": 0,        "active": true      }    ]  }}